// VARIABLES // ============================== //
$bg-color: #757575;
$hl-color: #B82E35;
$muted-color1: mix(white, $bg-color, 50%);
$muted-color2: mix(white, $hl-color, 70%);
$trans-time: 300ms;
$width: 100%;
*,
:before,
:after {
    box-sizing: border-box;
}

.group {
    position: relative;
    margin: 20px 0;
}

// INPUTS // ============================== //
textarea {
    resize: none;
}

input,
textarea {
    -moz-selection {
        background: $muted-color2 !important;
        color: $muted-color1 !important;
    }
     ::selection {
        background: $muted-color2 !important;
        color: $muted-color1 !important;
    }
    background: none;
    color: $muted-color1;
    font-size: 18px;
    padding: 10px 0px 0 5px;
    display: block;
    width: $width;
    border: none;
    border-radius: 0;
    border-bottom: 1px solid $muted-color1;
    &:focus {
        outline: none;
    }
    &:focus~label,
    &:valid~label {
        top: -14px;
        font-size: 12px;
        color: $hl-color;
    }
    &:focus~.bar:before {
        width: $width+1%;
    }
}

input[type="password"] {
    letter-spacing: 0.3em;
}

input[type="date"] {
    padding-top: 11px;
    font-size: 16px;
    color: transparent;
    &:focus,
    &:valid {
        color: $muted-color1;
    }
}

label {
    color: $muted-color1;
    font-size: 16px;
    font-weight: normal;
    position: absolute;
    pointer-events: none;
    left: 5px;
    top: 10px;
    transition: $trans-time ease all;
}

.bar {
    position: relative;
    display: block;
    width: $width;
    &:before {
        content: '';
        height: 2px;
        width: 0;
        bottom: 0px;
        position: absolute;
        background: $hl-color;
        transition: $trans-time ease all;
        left: 0%;
    }
}

// edit input
.inp-selection {
    height: 20px;
}